Package org.eclipse.m2m.atl.adt.ui.actions

## Class OpenDeclarationAction

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.action.AbstractAction
    - - org.eclipse.jface.action.Action
      - - org.eclipse.m2m.atl.adt.ui.actions.OpenDeclarationAction

All Implemented Interfaces:
  `org.eclipse.jface.action.IAction`, `org.eclipse.ui.IActionDelegate`, `org.eclipse.ui.IEditorActionDelegate`, `org.eclipse.ui.IObjectActionDelegate`, `org.eclipse.ui.IWorkbenchWindowActionDelegate`

    public class OpenDeclarationAction
    extends org.eclipse.jface.action.Action
    implements org.eclipse.ui.IWorkbenchWindowActionDelegate, org.eclipse.ui.IObjectActionDelegate, org.eclipse.ui.IEditorActionDelegate

The ATL Open declaration action.

### Field Summary

Fields
`static java.lang.String` `ACTION_ID` The action id
`static java.lang.String` `COMMAND_ID` The associated command ID

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

### Constructor Summary

Constructors
`OpenDeclarationAction()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`void` `init​(org.eclipse.ui.IWorkbenchWindow window)`
`void` `run​(org.eclipse.jface.action.IAction action)`
`void` `selectionChanged​(org.eclipse.jface.action.IAction action, org.eclipse.jface.viewers.ISelection selection)`
`void` `setActiveEditor​(org.eclipse.jface.action.IAction action, org.eclipse.ui.IEditorPart targetEditor)`
`void` `setActivePart​(org.eclipse.jface.action.IAction action, org.eclipse.ui.IWorkbenchPart part)`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, run, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ACTION_ID

    public static final java.lang.String ACTION_ID

The action id

See Also:
  Constant Field Values

#### COMMAND_ID

    public static final java.lang.String COMMAND_ID

The associated command ID

See Also:
  Constant Field Values

### Constructor Detail

#### OpenDeclarationAction

    public OpenDeclarationAction()

### Method Detail

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `org.eclipse.ui.IWorkbenchWindowActionDelegate`

#### init

    public void init​(org.eclipse.ui.IWorkbenchWindow window)

Specified by:
  `init` in interface `org.eclipse.ui.IWorkbenchWindowActionDelegate`

#### run

    public void run​(org.eclipse.jface.action.IAction action)

Specified by:
  `run` in interface `org.eclipse.ui.IActionDelegate`

#### selectionChanged

    public void selectionChanged​(org.eclipse.jface.action.IAction action,
                                 org.eclipse.jface.viewers.ISelection selection)

Specified by:
  `selectionChanged` in interface `org.eclipse.ui.IActionDelegate`
See Also:
  `IActionDelegate.selectionChanged(org.eclipse.jface.action.IAction, org.eclipse.jface.viewers.ISelection)`

#### setActivePart

    public void setActivePart​(org.eclipse.jface.action.IAction action,
                              org.eclipse.ui.IWorkbenchPart part)

Specified by:
  `setActivePart` in interface `org.eclipse.ui.IObjectActionDelegate`
See Also:
  `IObjectActionDelegate.setActivePart(org.eclipse.jface.action.IAction, org.eclipse.ui.IWorkbenchPart)`

#### setActiveEditor

    public void setActiveEditor​(org.eclipse.jface.action.IAction action,
                                org.eclipse.ui.IEditorPart targetEditor)

Specified by:
  `setActiveEditor` in interface `org.eclipse.ui.IEditorActionDelegate`
See Also:
  `IEditorActionDelegate.setActiveEditor(org.eclipse.jface.action.IAction, org.eclipse.ui.IEditorPart)`